org.apache.mina.core.future

## Interface IoFutureListener<F extends IoFuture>

- All Superinterfaces:
    EventListener

      public interface IoFutureListener<F extends IoFuture>
      extends EventListener

  Something interested in being notified when the completion of an asynchronous I/O operation : `IoFuture`.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IoFutureListener<IoFuture>` | `CLOSE` An `IoFutureListener` that closes the `IoSession` which is associated with the specified `IoFuture`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `operationComplete(F future)` Invoked when the operation associated with the `IoFuture` has been completed even if you add the listener after the completion.

- - ### Field Detail

    - #### CLOSE

          static final IoFutureListener<IoFuture> CLOSE

      An `IoFutureListener` that closes the `IoSession` which is associated with the specified `IoFuture`.

  - ### Method Detail

    - #### operationComplete

          void operationComplete(F future)

      Invoked when the operation associated with the `IoFuture` has been completed even if you add the listener after the completion.
      Parameters:
        `future` - The source `IoFuture` which called this callback.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.